### Method

# GObject Object get_qdata

#### Declaration

    gpointer
    g_object_get_qdata (
      GObject* object,
      GQuark quark
    )

#### Description

This function gets back user data pointers stored via g_object_set_qdata().

#### Parameters

`quark`

  Type: `GQuark`

  A `GQuark`, naming the user data pointer.

#### Return value

Type: `gpointer`

The user data pointer set, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.